### Constructor

# Gtk BuilderListItemFactorynew_from_resource

#### Declaration [src]

    GtkListItemFactory*
    gtk_builder_list_item_factory_new_from_resource (
      GtkBuilderScope* scope,
      const char* resource_path
    )

#### Description [src]

Creates a new `GtkBuilderListItemFactory` that instantiates widgets using data read from the given `resource_path` to pass to `GtkBuilder`.

#### Parameters

`scope`

  Type: `GtkBuilderScope`

  A scope to use when instantiating.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`resource_path`

  Type: `const char*`

  Valid path to a resource that contains the data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkListItemFactory`

A new `GtkBuilderListItemFactory`

The caller of the function takes ownership of the data, and is responsible for freeing it.